#!/bin/bash
# 使用說明：/root/web_speed_test.sh [客戶網址]
# 例：/root/web_speed_test.sh heavencloud.frog.tw

# 紀錄目前時間
echo $(date) >> "/root/$2.log_by_cloud"

# 把網站執行的時間記錄下來，"Log檔會在/root/"$2".log_by_cloud"
/usr/bin/curl -s -w '\nLookup time:\t%{time_namelookup}\nConnect time:\t%{time_connect}\nAppCon time:\t%{time_appconnect}\nRedirect time:\t%{time_redirect}\nPreXfer time:\t%{time_pretransfer}\nStartXfer time:\t%{time_starttransfer}\n\nTotal time:\t%{time_total}\n' -o /dev/null $1 >> /root/$2.log_by_cloud

# 以下為設定 Cron 範例
# */30 * * * * root /root/web_speed_test.sh http://chang-hsin.com.tw/chbuy/index.php chang-hsin.com.tw > /dev/null 2>&1
